Eclipse Rich Ajax Platform

## org.eclipse.swt.events
Class ShellEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.ShellEvent

    public final class ShellEvent

extends TypedEvent

Instances of this class are sent as a result of operations being performed on shells.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

See Also:
  `ShellListener`

Field Summary
`boolean` `doit` A flag indicating whether the operation should be allowed.
`static int` `SHELL_ACTIVATED`
`static int` `SHELL_CLOSED`
`static int` `SHELL_DEACTIVATED`

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`ShellEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.
`ShellEvent(java.lang.Object source, int id)` Constructs a new instance of this class.

Method Summary
`static void` `addListener(Adaptable adaptable, ShellListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(java.lang.Object listener)`
`static java.lang.Object[]` `getListeners(Adaptable adaptable)`
`protected java.lang.Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, ShellListener listener)`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHELL_CLOSED

    public static final int SHELL_CLOSED

See Also:
  Constant Field Values

### SHELL_ACTIVATED

    public static final int SHELL_ACTIVATED

See Also:
  Constant Field Values

### SHELL_DEACTIVATED

    public static final int SHELL_DEACTIVATED

See Also:
  Constant Field Values

### doit

    public boolean doit

  A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation.

Constructor Detail

### ShellEvent

    public ShellEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

  Parameters:
    `event` - the untyped event containing the information

### ShellEvent

    public ShellEvent(java.lang.Object source,
                      int id)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(java.lang.Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected java.lang.Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### addListener

    public static void addListener(Adaptable adaptable,
                                   ShellListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      ShellListener listener)

### getListeners

    public static java.lang.Object[] getListeners(Adaptable adaptable)

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.